Class | OpenSSL::X509::ExtensionFactory
In: | openssl/lib/openssl/x509.rb
Parent: | Object

### Methods

create_ext_from_array create_ext_from_hash create_ext_from_string create_extension

### Public Instance methods

create_ext_from_array(ary)

[Source]

    # File openssl/lib/openssl/x509.rb, line 30
          def create_ext_from_array(ary)
            raise ExtensionError, "unexpected array form" if ary.size > 3
            create_ext(ary[0], ary[1], ary[2])
          end

create_ext_from_hash(hash)

[Source]

    # File openssl/lib/openssl/x509.rb, line 42
          def create_ext_from_hash(hash)
            create_ext(hash["oid"], hash["value"], hash["critical"])
          end

create_ext_from_string(str)

[Source]

    # File openssl/lib/openssl/x509.rb, line 35
          def create_ext_from_string(str) # "oid = critical, value"
            oid, value = str.split(/=/, 2)
            oid.strip!
            value.strip!
            create_ext(oid, value)
          end

create_extension(*arg)

[Source]

    # File openssl/lib/openssl/x509.rb, line 22
          def create_extension(*arg)
            if arg.size > 1
              create_ext(*arg)
            else
              send("create_ext_from_"+arg[0].class.name.downcase, arg[0])
            end
          end

[Validate]